org.eclipse.oomph.setup.targlets.impl

## Class TargletTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, SetupTask, TargletTask

      public class TargletTaskImpl
      extends SetupTaskImpl
      implements TargletTask

  An implementation of the model object 'Targlet Task'.

  The following features are implemented:

  - `Targlets`
  - `Targlet UR Is`
  - `Operating System`
  - `Windowing System`
  - `Architecture`
  - `Locale`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `architecture` The cached value of the '`Architecture`' attribute.
    `protected static String` | `ARCHITECTURE_EDEFAULT` The default value of the '`Architecture`' attribute.
    `protected String` | `locale` The cached value of the '`Locale`' attribute.
    `protected static String` | `LOCALE_EDEFAULT` The default value of the '`Locale`' attribute.
    `protected static String` | `OPERATING_SYSTEM_EDEFAULT` The default value of the '`Operating System`' attribute.
    `protected String` | `operatingSystem` The cached value of the '`Operating System`' attribute.
    `protected EList<Targlet>` | `targlets` The cached value of the '`Targlets`' containment reference list.
    `protected EList<String>` | `targletURIs` The cached value of the '`Targlet UR Is`' attribute list.
    `protected static String` | `WINDOWING_SYSTEM_EDEFAULT` The default value of the '`Windowing System`' attribute.
    `protected String` | `windowingSystem` The cached value of the '`Windowing System`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TargletTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consolidate()`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getArchitecture()`
    `String` | `getLocale()`
    `String` | `getOperatingSystem()`
    `Object` | `getOverrideToken()` Subclasses may override to indicate that this task overrides another task with the same token.
    `EList<Targlet>` | `getTarglets()`
    `EList<String>` | `getTargletURIs()`
    `String` | `getWindowingSystem()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `overrideFor(SetupTask overriddenSetupTask)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setArchitecture(String newArchitecture)`
    `void` | `setLocale(String newLocale)`
    `void` | `setOperatingSystem(String newOperatingSystem)`
    `void` | `setWindowingSystem(String newWindowingSystem)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `dispose, getDescription, getExcludedTriggers, getID, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### targlets

          protected EList<Targlet> targlets

      The cached value of the '`Targlets`' containment reference list.
      See Also:
        `getTarglets()`
      Generated
      Ordered

    - #### targletURIs

          protected EList<String> targletURIs

      The cached value of the '`Targlet UR Is`' attribute list.
      See Also:
        `getTargletURIs()`
      Generated
      Ordered

    - #### OPERATING_SYSTEM_EDEFAULT

          protected static final String OPERATING_SYSTEM_EDEFAULT

      The default value of the '`Operating System`' attribute.
      See Also:
        `getOperatingSystem()`
      Generated
      Ordered

    - #### operatingSystem

          protected String operatingSystem

      The cached value of the '`Operating System`' attribute.
      See Also:
        `getOperatingSystem()`
      Generated
      Ordered

    - #### WINDOWING_SYSTEM_EDEFAULT

          protected static final String WINDOWING_SYSTEM_EDEFAULT

      The default value of the '`Windowing System`' attribute.
      See Also:
        `getWindowingSystem()`
      Generated
      Ordered

    - #### windowingSystem

          protected String windowingSystem

      The cached value of the '`Windowing System`' attribute.
      See Also:
        `getWindowingSystem()`
      Generated
      Ordered

    - #### ARCHITECTURE_EDEFAULT

          protected static final String ARCHITECTURE_EDEFAULT

      The default value of the '`Architecture`' attribute.
      See Also:
        `getArchitecture()`
      Generated
      Ordered

    - #### architecture

          protected String architecture

      The cached value of the '`Architecture`' attribute.
      See Also:
        `getArchitecture()`
      Generated
      Ordered

    - #### LOCALE_EDEFAULT

          protected static final String LOCALE_EDEFAULT

      The default value of the '`Locale`' attribute.
      See Also:
        `getLocale()`
      Generated
      Ordered

    - #### locale

          protected String locale

      The cached value of the '`Locale`' attribute.
      See Also:
        `getLocale()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### TargletTaskImpl

          protected TargletTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getTarglets

          public EList<Targlet> getTarglets()

      Specified by:
        `getTarglets` in interface `TargletTask`
      Returns:
        the value of the 'Targlets' containment reference list.
      See Also:
        `SetupTargletsPackage.getTargletTask_Targlets()`
      Generated

    - #### getTargletURIs

          public EList<String> getTargletURIs()

      Specified by:
        `getTargletURIs` in interface `TargletTask`
      Returns:
        the value of the 'Targlet UR Is' attribute list.
      See Also:
        `SetupTargletsPackage.getTargletTask_TargletURIs()`
      Generated

    - #### getOperatingSystem

          public String getOperatingSystem()

      Specified by:
        `getOperatingSystem` in interface `TargletTask`
      Returns:
        the value of the 'Operating System' attribute.
      See Also:
        `TargletTask.setOperatingSystem(String)`, `SetupTargletsPackage.getTargletTask_OperatingSystem()`
      Generated

    - #### setOperatingSystem

          public void setOperatingSystem(String newOperatingSystem)

      Specified by:
        `setOperatingSystem` in interface `TargletTask`
      Parameters:
        `newOperatingSystem` - the new value of the 'Operating System' attribute.
      See Also:
        `TargletTask.getOperatingSystem()`
      Generated

    - #### getWindowingSystem

          public String getWindowingSystem()

      Specified by:
        `getWindowingSystem` in interface `TargletTask`
      Returns:
        the value of the 'Windowing System' attribute.
      See Also:
        `TargletTask.setWindowingSystem(String)`, `SetupTargletsPackage.getTargletTask_WindowingSystem()`
      Generated

    - #### setWindowingSystem

          public void setWindowingSystem(String newWindowingSystem)

      Specified by:
        `setWindowingSystem` in interface `TargletTask`
      Parameters:
        `newWindowingSystem` - the new value of the 'Windowing System' attribute.
      See Also:
        `TargletTask.getWindowingSystem()`
      Generated

    - #### getArchitecture

          public String getArchitecture()

      Specified by:
        `getArchitecture` in interface `TargletTask`
      Returns:
        the value of the 'Architecture' attribute.
      See Also:
        `TargletTask.setArchitecture(String)`, `SetupTargletsPackage.getTargletTask_Architecture()`
      Generated

    - #### setArchitecture

          public void setArchitecture(String newArchitecture)

      Specified by:
        `setArchitecture` in interface `TargletTask`
      Parameters:
        `newArchitecture` - the new value of the 'Architecture' attribute.
      See Also:
        `TargletTask.getArchitecture()`
      Generated

    - #### getLocale

          public String getLocale()

      Specified by:
        `getLocale` in interface `TargletTask`
      Returns:
        the value of the 'Locale' attribute.
      See Also:
        `TargletTask.setLocale(String)`, `SetupTargletsPackage.getTargletTask_Locale()`
      Generated

    - #### setLocale

          public void setLocale(String newLocale)

      Specified by:
        `setLocale` in interface `TargletTask`
      Parameters:
        `newLocale` - the new value of the 'Locale' attribute.
      See Also:
        `TargletTask.getLocale()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated

    - #### getOverrideToken

          public Object getOverrideToken()

      Description copied from class: `SetupTaskImpl`
      Subclasses may override to indicate that this task overrides another task with the same token.
      Specified by:
        `getOverrideToken` in interface `SetupTask`
      Overrides:
        `getOverrideToken` in class `SetupTaskImpl`
      See Also:
        `SetupTaskImpl.createToken(String)`

    - #### overrideFor

          public void overrideFor(SetupTask overriddenSetupTask)

      Specified by:
        `overrideFor` in interface `SetupTask`
      Overrides:
        `overrideFor` in class `SetupTaskImpl`

    - #### consolidate

          public void consolidate()

      Specified by:
        `consolidate` in interface `SetupTask`
      Overrides:
        `consolidate` in class `SetupTaskImpl`

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html